ru.bitel.bgbilling.modules.inet.api.server.event

## Class InetServChangingEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.event.LocalEvent
      - - ru.bitel.bgbilling.modules.inet.api.server.event.InetServChangingEvent

- All Implemented Interfaces:
    java.io.Serializable, ErrorReturnableEvent

      public class InetServChangingEvent
      extends LocalEvent
      implements ErrorReturnableEvent

  Событие вызывается в момент правки сервиса договора. Возможно изменение его параметров.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InetServChangingEvent(int moduleId, int userId, InetServ oldInetServ, InetServ newInetServ)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getError()` Возвращает ошибку при правке сервиса.
    `InetServ` | `getInetServ()` Возвращает изменяемый сервис договора (не рекомендуемый синоним для `getNewInetServ()`).
    `InetServ` | `getNewInetServ()` Возвращает изменяемый сервис договора.
    `InetServ` | `getOldInetServ()` Возвращает предыдущее значение изменяемого сервиса договора.
    `void` | `setError(java.lang.String error)` Устанавливает ошибку при правке сервиса.

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InetServChangingEvent

          public InetServChangingEvent(int moduleId,
                                       int userId,
                                       InetServ oldInetServ,
                                       InetServ newInetServ)

  - ### Method Detail

    - #### getNewInetServ

          public InetServ getNewInetServ()

      Возвращает изменяемый сервис договора.
      Returns:

    - #### getOldInetServ

          public InetServ getOldInetServ()

      Возвращает предыдущее значение изменяемого сервиса договора.
      Returns:

    - #### getInetServ

          public InetServ getInetServ()

      Возвращает изменяемый сервис договора (не рекомендуемый синоним для `getNewInetServ()`).
      Returns:

    - #### getError

          public java.lang.String getError()

      Возвращает ошибку при правке сервиса. При наличие ошибки правка отменяется.
      Specified by:
        `getError` in interface `ErrorReturnableEvent`
      Returns:

    - #### setError

          public void setError(java.lang.String error)

      Устанавливает ошибку при правке сервиса.
      Parameters:
        `error` -